Bug 168780 - CVE-2005-3276 sys_get_thread_area minor info leak
Summary: CVE-2005-3276 sys_get_thread_area minor info leak
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Don Howard
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20050727,source=lkml
Keywords: Security
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-09-20 10:11 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 16:41:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Mark J. Cox 2005-09-20 10:11:46 UTC
sys_get_thread_area does a copy_to_user on a partially unitialized structure,
which can leak a few random bits of information to userspace.

http://linux.bkbits.net:8080/linux-2.6/cset@42e81864gSEM90Oun0jA8dufpM3inw

2.4 is not affected, however RHEL3 probably is due to linux-2.4.20-o1-nptl.patch

Comment 1 Ernie Petrides 2005-09-20 19:00:30 UTC
I've confirmed that there is a 3-byte + 1-bit info leak in RHEL3.

This is a silly bug, but it is trivial to fix.

Comment 2 Mark J. Cox 2005-09-27 14:00:29 UTC
It's unfortunate that such leaks in the past have been classed as security
issues - it's not like you can particularly influence what you get or even know
the context of what you got.  I've not applied for a CVE name for this issue and
do not intend to do so for such a trivial issue of minor risk.  

Comment 4 Ernie Petrides 2005-10-06 21:10:56 UTC
Patch posted for review on 6-Oct-2005.

Comment 5 Ernie Petrides 2005-10-08 02:20:31 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.5.EL).


Comment 9 Red Hat Bugzilla 2006-03-15 16:41:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.